Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.conversation
Class Action

    java.lang.Object
      |
      +--org.opencyc.conversation.Action

public class Action
extends java.lang.Object

Contains the attributes and behavior of a Finite State Machine Action.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected java.lang.Object` | `content` optional content
`protected java.lang.String` | `name` The unique identifying name of this action

Constructor Summary
`protected` | `Action(java.lang.String name)` Constructs a new Action object givent the action name.

Method Summary
`boolean` | `equals(java.lang.Object object)` Returns `true` iff some object equals this object
`java.lang.Object` | `getContent()` Returns the performative content.
`java.lang.String` | `getName()` Returns the action name.
`void` | `setContent(java.lang.Object content)` Sets the action content.
`java.lang.String` | `toString()` Returns the string representation of this action

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The unique identifying name of this action

### content

    protected java.lang.Object content

  optional content

Constructor Detail

### Action

    protected Action(java.lang.String name)

  Constructs a new Action object givent the action name.
  Parameters:
    `name` - the action name

Method Detail

### getName

    public java.lang.String getName()

  Returns the action name.
  Returns:
    the action name

### setContent

    public void setContent(java.lang.Object content)

  Sets the action content.
  Parameters:
    `the` - action content

### getContent

    public java.lang.Object getContent()

  Returns the performative content.
  Returns:
    the performative content

### equals

    public boolean equals(java.lang.Object object)

  Returns `true` iff some object equals this object
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - the `Object` for equality comparison
  Returns:
    equals `boolean` value indicating equality or non-equality.

### toString

    public java.lang.String toString()

  Returns the string representation of this action
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the representation of the `Action` as a `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD